package com.yonge.cooleshow.biz.dal.entity;

import com.yonge.cooleshow.common.entity.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import java.util.Date;

/**
 * 视频课学习记录表
 * @author yzp
 * @date 2022-03-25 23:46:29
 * @version v1.0
 **/
@ApiModel(value = "video_lesson_study_record-视频课学习记录表")
public class VideoLessonStudyRecord extends BaseEntity {

    @TableId(value = "id_", type = IdType.AUTO)
    @ApiModelProperty(value = "主键id")
    private Long id;  //主键ID

    @TableField("video_lesson_group_id_")
    @ApiModelProperty(value = "视频课组ID")
    private Long videoLessonGroupId;  //视频课组ID

    @TableField("video_id_")
    @ApiModelProperty(value = "视频ID")
    private Long videoId;  //视频ID

    @TableField("student_id_")
    @ApiModelProperty(value = "学生ID")
    private Long studentId;  //学生ID

    @TableField("finish_flag_")
    @ApiModelProperty(value = "是否学完(1:是;0:否)")
    private Integer finishFlag;  //是否学完(1:是;0:否)

    @TableField("start_time_")
    @ApiModelProperty(value = "学习开始时间")
    private java.util.Date startTime;  //学习开始时间

    @TableField("finish_time_")
    @ApiModelProperty(value = "学习完成时间")
    private java.util.Date finishTime;  //学习完成时间


	public VideoLessonStudyRecord setId(Long id) {
	    this.id = id;
	    return this;
	}

	public Long getId() {
	    return this.id;
	}

	public VideoLessonStudyRecord setVideoLessonGroupId(Long videoLessonGroupId) {
	    this.videoLessonGroupId = videoLessonGroupId;
	    return this;
	}

	public Long getVideoLessonGroupId() {
	    return this.videoLessonGroupId;
	}

	public VideoLessonStudyRecord setVideoId(Long videoId) {
	    this.videoId = videoId;
	    return this;
	}

	public Long getVideoId() {
	    return this.videoId;
	}

	public VideoLessonStudyRecord setStudentId(Long studentId) {
	    this.studentId = studentId;
	    return this;
	}

	public Long getStudentId() {
	    return this.studentId;
	}

	public VideoLessonStudyRecord setFinishFlag(Integer finishFlag) {
	    this.finishFlag = finishFlag;
	    return this;
	}

	public Integer getFinishFlag() {
	    return this.finishFlag;
	}

	public VideoLessonStudyRecord setStartTime(java.util.Date startTime) {
	    this.startTime = startTime;
	    return this;
	}

	public java.util.Date getStartTime() {
	    return this.startTime;
	}

	public VideoLessonStudyRecord setFinishTime(java.util.Date finishTime) {
	    this.finishTime = finishTime;
	    return this;
	}

	public java.util.Date getFinishTime() {
	    return this.finishTime;
	}


    @Override
    public String toString() {
        return ToStringBuilder.reflectionToString(this);
    }

}